ICUNormalizer2CharFilterFactory (Lucene 10.5.0 icu API)
Description: declaration: package: org.apache.lucene.analysis.icu, class: ICUNormalizer2CharFilterFactory

Package org.apache.lucene.analysis.icu

# Class ICUNormalizer2CharFilterFactory

java.lang.Object
org.apache.lucene.analysis.AbstractAnalysisFactory
org.apache.lucene.analysis.CharFilterFactory
org.apache.lucene.analysis.icu.ICUNormalizer2CharFilterFactory

public class ICUNormalizer2CharFilterFactory extends CharFilterFactory
Factory for `ICUNormalizer2CharFilter`

Supports the following attributes:

- form: A Unicode Normalization Form, one of 'nfc','nfkc', 'nfkc_cf'. Default is nfkc_cf.
- mode: Either 'compose' or 'decompose'. Default is compose. Use "decompose" with nfc or nfkc, to get nfd or nfkd, respectively.
- filter: A `UnicodeSet` pattern. Codepoints outside the set are always left unchanged. Default is [] (the null set, no filtering).

Since:
  4.10.0
See Also:
  - `ICUNormalizer2CharFilter`
  - `Normalizer2`
  - `FilteredNormalizer2`
SPI Name (case-insensitive: if the name is 'htmlStrip', 'htmlstrip' can be used when looking up the service).
  "icuNormalizer2"

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `NAME`
  SPI name

  ### Fields inherited from class org.apache.lucene.analysis.AbstractAnalysisFactory

  `LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ICUNormalizer2CharFilterFactory()`
  Default ctor for compatibility with SPI
  `ICUNormalizer2CharFilterFactory(Map<String,String> args)`
  Creates a new ICUNormalizer2CharFilterFactory

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Reader`
  `create(Reader input)`
  `Reader`
  `normalize(Reader input)`

  ### Methods inherited from class org.apache.lucene.analysis.CharFilterFactory

  `availableCharFilters, findSPIName, forName, lookupClass, reloadCharFilters`

  ### Methods inherited from class org.apache.lucene.analysis.AbstractAnalysisFactory

  `defaultCtorException, get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitAt, splitFileNames`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### NAME

    public static final String NAME
    SPI name
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ICUNormalizer2CharFilterFactory

    public ICUNormalizer2CharFilterFactory(Map<String,String> args)
    Creates a new ICUNormalizer2CharFilterFactory

  - ### ICUNormalizer2CharFilterFactory

    public ICUNormalizer2CharFilterFactory()
    Default ctor for compatibility with SPI

- ## Method Details

  - ### create

    public Reader create(Reader input)
    Specified by:
      `create` in class `CharFilterFactory`

  - ### normalize

    public Reader normalize(Reader input)
    Overrides:
      `normalize` in class `CharFilterFactory`